summaryrefslogtreecommitdiffstats
path: root/source/ap/seejpeg
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/seejpeg')
-rw-r--r--source/ap/seejpeg/seejpeg-1.10.diff63
-rw-r--r--source/ap/seejpeg/seejpeg-1.10.lsm21
-rwxr-xr-xsource/ap/seejpeg/seejpeg.SlackBuild72
-rw-r--r--source/ap/seejpeg/slack-desc19
4 files changed, 175 insertions, 0 deletions
diff --git a/source/ap/seejpeg/seejpeg-1.10.diff b/source/ap/seejpeg/seejpeg-1.10.diff
new file mode 100644
index 000000000..61a8be788
--- /dev/null
+++ b/source/ap/seejpeg/seejpeg-1.10.diff
@@ -0,0 +1,63 @@
+diff -c -r seejpeg-1.10.orig/Makefile seejpeg-1.10/Makefile
+*** seejpeg-1.10.orig/Makefile Sat Nov 6 21:55:19 1999
+--- seejpeg-1.10/Makefile Sat Apr 29 22:51:54 2000
+***************
+*** 6,25 ****
+ # $Id: Makefile,v 1.8 1999/11/07 05:55:19 evan Exp $
+
+ # The installation directories.
+! BIN= /usr/local/bin
+! MAN= /usr/local/man/man1
+
+ # See the README for a description of these options.
+ #OPTIONS= -DNO_32K_CASCADE -DTESTMODE=G640x480x32K -DBUG_WORKAROUND -DONLY_1_8_MODES
+ OPTIONS= -DBUG_WORKAROUND
+
+ # This should be the location of the JPEG v6 header files.
+! JPEG_HEADERS= -I /usr/local/include
+! #JPEG_HEADERS= -I /usr/X11R6/include
+
+ # This should be the location of the JPEG v6 libraries.
+! JPEG_LIBS= -L /usr/local/lib
+! #JPEG_LIBS= -L /usr/X11R6/lib
+
+ # These may be changed, if desired.
+
+--- 6,25 ----
+ # $Id: Makefile,v 1.8 1999/11/07 05:55:19 evan Exp $
+
+ # The installation directories.
+! BIN= /usr/bin
+! MAN= /usr/man/man1
+
+ # See the README for a description of these options.
+ #OPTIONS= -DNO_32K_CASCADE -DTESTMODE=G640x480x32K -DBUG_WORKAROUND -DONLY_1_8_MODES
+ OPTIONS= -DBUG_WORKAROUND
+
+ # This should be the location of the JPEG v6 header files.
+! #JPEG_HEADERS= -I /usr/local/include
+! JPEG_HEADERS= -I /usr/X11R6/include
+
+ # This should be the location of the JPEG v6 libraries.
+! #JPEG_LIBS= -L /usr/local/lib
+! JPEG_LIBS= -L /usr/X11R6/lib
+
+ # These may be changed, if desired.
+
+***************
+*** 29,35 ****
+ # Editing of the rest of this Makefile shouldn't be necessary.
+
+ CFLAGS= $(JPEG_HEADERS) -I jpeglib $(CCOPTS) $(OPTIONS)
+! LIBS= -lvga $(JPEG_LIBS) -ljpeg -lm
+ LDOPTS= -s
+
+ SEEJPEG= seejpeg.o jpeg.o image.o display.o cmap.o \
+--- 29,35 ----
+ # Editing of the rest of this Makefile shouldn't be necessary.
+
+ CFLAGS= $(JPEG_HEADERS) -I jpeglib $(CCOPTS) $(OPTIONS)
+! LIBS= -lvga jpeglib/libjpeg.a -lm
+ LDOPTS= -s
+
+ SEEJPEG= seejpeg.o jpeg.o image.o display.o cmap.o \
diff --git a/source/ap/seejpeg/seejpeg-1.10.lsm b/source/ap/seejpeg/seejpeg-1.10.lsm
new file mode 100644
index 000000000..da3644b74
--- /dev/null
+++ b/source/ap/seejpeg/seejpeg-1.10.lsm
@@ -0,0 +1,21 @@
+Begin3
+Title: seejpeg - another JPEG (+GIF+PPM+BMP+TARGA) viewer
+Version: 1.10
+Entered-date: 08NOV99
+Description: A JPEG image viewer which uses svgalib to display images.
+ It works out the best video mode to use based on the video
+ card, image size and user options. This can be overridden.
+ It contains GIF, PPM, BMP and TARGA viewing support, and can
+ show images in a slideshow.
+ This version adds a reload command, and support for a
+ large number of new 4x3 and 16x9 video modes added in svgalib
+ 1.4.0.
+Keywords: graphics JPEG GIF PPM BMP TARGA picture image viewer svgalib
+ slideshow
+Author: evan@cs.mu.oz.au (Evan Harris)
+Primary-site: sunsite.unc.edu /pub/Linux/apps/graphics/viewers/svga
+ 46550 seejpeg-1.10.tgz
+Platforms: svgalib 1.3.0 or greater, best with 1.4.0 or greater
+ libjpeg v6
+Copying-policy: Freely redistributable.
+End
diff --git a/source/ap/seejpeg/seejpeg.SlackBuild b/source/ap/seejpeg/seejpeg.SlackBuild
new file mode 100755
index 000000000..ca745063d
--- /dev/null
+++ b/source/ap/seejpeg/seejpeg.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+VERSION=1.10
+ARCH=${ARCH:-x86_64}
+NUMJOBS=${NUMJOBS:-" -j7 "}
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-seejpeg
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+# Explode the package framework:
+cd $PKG
+explodepkg $CWD/_seejpeg.tar.gz
+
+cd $TMP
+tar xvf $CWD/seejpeg-$VERSION.tgz || exit 1
+cd seejpeg-$VERSION || exit 1
+zcat $CWD/seejpeg-$VERSION.diff.gz | patch -p1 --verbose || exit 1
+rm -rf jpeglib
+tar xvf $CWD/libjpeg-6a.tar.gz || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+( cd libjpeg-6a ; ./configure ; make )
+ln -sf libjpeg-6a jpeglib
+
+make seejpeg
+strip seejpeg
+cat seejpeg > $PKG/usr/bin/seejpeg
+
+cat seejpeg.1 | gzip -9c > $PKG/usr/man/man1/seejpeg.1.gz
+
+mkdir -p $PKG/usr/doc/seejpeg-$VERSION
+cp -a CHANGELOG README $PKG/usr/doc/seejpeg-$VERSION
+chmod 644 $PKG/usr/doc/seejpeg-$VERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/seejpeg-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/ap/seejpeg/slack-desc b/source/ap/seejpeg/slack-desc
new file mode 100644
index 000000000..b6c325ea3
--- /dev/null
+++ b/source/ap/seejpeg/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+seejpeg: seejpeg (console JPEG viewer)
+seejpeg:
+seejpeg: Seejpeg is an image viewer which uses SVGAlib. In spite of the name,
+seejpeg: it understands the JPEG, GIF, PPM, BMP and TARGA formats. One nice
+seejpeg: feature of seejpeg is that it automatically decides on the best video
+seejpeg: mode to use based on the image being displayed and the video card
+seejpeg: being used.
+seejpeg:
+seejpeg: Evan Harris is the author of seejpeg.
+seejpeg:
+seejpeg: